<?
	/** Plik wypisujacy sklad i zadania danej grupy.
	 * @author Lukasz Chmielewski
	 * @package XPAsystent
	 */

	include './functions/Aview.fun.php';

	//print"Witamy Asystencie!<BR><BR>\n";
	printf("<H1>Grupa</H1>");
	printf("<H2>Numer: %s</H2>", $Numer_grupy);
	printf("<div class=\"akapit\">\n");
	printf("<H3>Przedmiot: %s</H3>\n", $Przedmiot_gr);
	$size = getLecturerSize();
	for ($i = 1; $i <= $size; $i++) {
		printf("<H3>Prowadzący: %s</H3>\n", getLecturerName('1'));
		printf("<H3>Email: <A HREF=mailto:%s>%s</A>
</H3>\n", getLecturerEmail('1'), getLecturerEmail('1'));
	}

	printf("<H3>Cykl: %s</H3>\n", $Cykl_nazwa_gr);
	printf("</div>\n");

	$tab = new CTable(2, "", "width=\"100%\" cellspacing=\"0\" cellpadding=\"2\" border=1");
	$tab->tprint();

	echo "<TD width='50%' class='asys_Teven'>";
	if (!isset($What_zad)) {
		echo "Zadania dane grupie:<BR><BR>";
		printGroupExercises();
		//printf("<BR>\n");
		linkSklad("<CENTER>!Zwiń!</CENTER>", $Numer_grupy, $Id_w_cyklu, $Przedmiot_gr, $Cykl_gr, $Cykl_nazwa_gr, 'x', $What_os);
		print("</TD>");
	}
	else {
		//echo "<TD width='50%'>";
		linkSklad("<CENTER>!Rozwiń zadania!</CENTER>", $Numer_grupy, $Id_w_cyklu, $Przedmiot_gr, $Cykl_gr, $Cykl_nazwa_gr, "", $What_os);
		print("</TD>");
	}

	echo "<TD width='50%' class='asys_Teven'>";
	if (isset($What_os)) {
		echo "Osoby w grupie:<BR><BR>";
		printGroupPerson();
		//printf("<BR>\n");
		linkSklad("<CENTER>!Zwiń!</CENTER>", $Numer_grupy, $Id_w_cyklu, $Przedmiot_gr, $Cykl_gr, $Cykl_nazwa_gr, $What_zad, "");
		print("</TD>");
	}
	else {
		//echo "<TD width='50%'>";
		linkSklad("<CENTER>!Rozwiń osoby!</CENTER>", $Numer_grupy, $Id_w_cyklu, $Przedmiot_gr, $Cykl_gr, $Cykl_nazwa_gr, $What_zad, 'x');
		print("</TD>");
	}

	$tab->close();
	print("<BR><BR>");

	printf("<div class=\"akapit\">\n");
	$link = new CLink ("Asys_grup", "Asys_grup");
	$link->addFirstParam("Kod_cyklu",$Cykl_gr);
	$link->lprint("-> wybór grupy");
	printf("<BR>\n");
	printf("<BR>\n");
	$link = new CLink ("Asys_cykle", "Asys_cykle");
	$link->lprint("-> wybór spośród cykli");
//	printf("<BR>\n");
//	printf("<BR>\n");
//	$link = new CLink ("Asys_wstep", "empty");
//	$link->lprint("-> strona wstępna");
	printf("</div>\n");

	//delGroupData($co);
?>
